[android-components](../../index.md) / [mozilla.components.lib.jexl.grammar](../index.md) / [GrammarElement](./index.md)

# GrammarElement

`data class GrammarElement` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/lib/jexl/src/main/java/mozilla/components/lib/jexl/grammar/Grammar.kt#L136)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `GrammarElement(type: `[`Type`](../../mozilla.components.lib.jexl.lexer/-token/-type/index.md)`, precedence: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)` = 0, evaluate: (`[`JexlValue`](../../mozilla.components.lib.jexl.value/-jexl-value/index.md)`, `[`JexlValue`](../../mozilla.components.lib.jexl.value/-jexl-value/index.md)`) -> `[`JexlValue`](../../mozilla.components.lib.jexl.value/-jexl-value/index.md)` = null)` |

### Properties

| Name | Summary |
|---|---|
| [evaluate](evaluate.md) | `val evaluate: (`[`JexlValue`](../../mozilla.components.lib.jexl.value/-jexl-value/index.md)`, `[`JexlValue`](../../mozilla.components.lib.jexl.value/-jexl-value/index.md)`) -> `[`JexlValue`](../../mozilla.components.lib.jexl.value/-jexl-value/index.md) |
| [precedence](precedence.md) | `val precedence: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
| [type](type.md) | `val type: `[`Type`](../../mozilla.components.lib.jexl.lexer/-token/-type/index.md) |
